<?php
defined("ABSPATH") || exit();

class SuperbInfoContentConfig
{
    const THEME_LINK = 'https://superbthemes.com/elegant-writing/';
    const DEMO_LINK = 'https://superbthemes.com/demo/elegantwriting/';

    private $FEATURES = array();

    public function __construct()
    {
        $this->AddFeature(__("Customize Header Logo, Text & Background Color", "elegantwriting"), "purple-paint-brush.svg");
        $this->AddFeature(__("Translation Ready", "elegantwriting"), "purple-article-medium.svg");
        $this->AddFeature(__("Fully SEO Optimized", "elegantwriting"), "purple-gauge.svg");
        $this->AddFeature(__("Customize All Fonts", "elegantwriting"), "purple-article-medium.svg");
        $this->AddFeature(__("Customize All Colors", "elegantwriting"), "purple-paint-brush.svg");
        $this->AddFeature(__("Importable Demo Content", "elegantwriting"), "purple-images.svg");
        $this->AddFeature(__("Elementor Compatible", "elegantwriting"), "purple-elementor-logo.svg");
        $this->AddFeature(__("Replace Copyright Text", "elegantwriting"), "purple-copyright.svg");
        $this->AddFeature(__("Full-Width Page Template", "elegantwriting"), "purple-frame-corners.svg");
        $this->AddFeature(__("Access All Child Themes", "elegantwriting"), "purple-images.svg");
        $this->AddFeature(__("Customer Support and Documentation", "elegantwriting"), "purple-files.svg");
        $this->AddFeature(__("Multiple Website Support", "elegantwriting"), "purple-files.svg");


        $this->AddFeature(__("Custom Header Text", "elegantwriting"), "gear.svg");
        $this->AddFeature(__("Only Show Header On Front Page", "elegantwriting"), "gear.svg");
        $this->AddFeature(__("Only Show Top Widgets On Front Page", "elegantwriting"), "gear.svg");


        $this->AddFeature(__("Remove 'Tag' from Tag Page Title", "elegantwriting"), "purple-article-medium.svg");
        $this->AddFeature(__("Remove 'Author' from Author Page Title", "elegantwriting"), "purple-article-medium.svg");
        $this->AddFeature(__("Remove 'Category' from Category Page Title", "elegantwriting"), "purple-article-medium.svg");
    }

    private function AddFeature($title, $icon)
    {
        $this->FEATURES[] = array(
            "title" => $title,
            "icon" => $icon
        );
    }

    public function GetFeatures()
    {
        return $this->FEATURES;
    }
}
